<?php

class DbCharsetEncoding {


    public static function toDbEncoding($fieldValue, $type=null){
        $dbCharset = DbConfigData::$DBCharsetEncoding;
        $phpCharset = DbConfigData::$PHPCharsetEncoding;

        if(DbConfigData::DB_CHARSET_ENCODING_ENABLE)
            return self::convert($fieldValue, $phpCharset, $dbCharset, $type);
        else
            return $fieldValue;
    }

    public static function fromDbEncoding($fieldValue, $type=null){
        $dbCharset = DbConfigData::$DBCharsetEncoding;
        $phpCharset = DbConfigData::$PHPCharsetEncoding;

        if(DbConfigData::DB_CHARSET_ENCODING_ENABLE)
            return self::convert($fieldValue, $dbCharset, $phpCharset, $type);
        else
            return $fieldValue;
    }


    protected static function convert($fieldValue, $inCharset, $outCharset, $type=null) {
        if(!$type) $type = 'varchar';

        switch ($type){
            case "char":
            case "varchar":
            case "varchar2":
            case "nvarchar":
                $_ret = iconv($inCharset, $outCharset, $fieldValue);
                break;
            default:
                $_ret = $fieldValue;
                break;
        }

        return $_ret;
    }

}